( Ad Inserter ) القرصنة اﻻخيرة علي مواقع الوردبرس عن طريق ال

السلام عليكم ورحمة الله وركاته

 

سنقوم اليوم بشرح المشكلة اﻻمنية الخاصة ب  ( Ad Inserter ). في قوالب الوردبرس

استطاع القراصنة علي العثور علي حيلة جديدة في اختراق مواقع الوردبرس وهو مشكلة اضافية من المشاكل اﻻمنية للمواقع المثبتة علي منصة وردبرس  عن طريق استخدام  البرنامج المساعد للوردبرس ( Ad Inserter ).

* Ad Inserter : 

عبارة عن "مكون إضافي لإدارة الإعلانات يحتوي على العديد من الميزات الإعلانية المتقدمة لإدراج الإعلانات في المواضع المثلى" ، وهو يأتي مع دعم "جميع أنواع الإعلانات بما في ذلك
AdSense, Google Ad Manager (DFP – DoubleClick for publishers), contextual Amazon Native Shopping Ads, Media.net and rotating banners."

 

وهو مثبت حاليًا على أكثر من 200000 موقع الكتروني , تسمح للمهاجمين بتنفيذ شفرة PHP عن بُعد.  

وبسبب  سوء استخدام وظيفة حماية CSRF , تنشأ مشكلة عدم حصانة عن استخدام ترخيص check_admin_referer  ،الذي تم تصميمه خصيصًا لحماية مواقع الوردبرس من تزوير طلبات المواقع المشتركة (CSRF) التي تم استغلها باستخدام nonces - الرموز المميزة لمرة واحدة  المستخدمة في حظر الطلبات منتهية الصلاحية والمتكررة.

تم رفض هذه الممارسة من خلال موقع اﻻلكتروني الرسمي الخاص بوثائق الوردبرس والذي ينص على أنه "يجب عدم الاعتماد على Nonces  ويجب اﻻعتماد على المصادقة أو الترخيص والتحكم في الوصول".

تعتبر الثغرة الأمنية حرجة وتؤثر على جميع مواقع الوردبرس على الإصدار  Ad Inserter  2.4.21  أو ما دونه.

 

 

 

إساءة استخدام البرنامج المساعد Ad Inserter

يمكن للمهاجمين   الذين يضعون أيديهم على علامة nonce تجاوز عمليات التحقق من التفويض التي تدعمها وظيفة check_admin_referer  للوصول إلى وضع التصحيح الذي يوفره البرنامج المساعد Ad Inserter.

 

"عادةً ، لا تتوفر ميزات تصحيح الأخطاء هذه إلا للمسؤولين ، وعندما يتم تمكين بعض الخيارات ، يتم تضمين كتلة من Javascript في كل صفحة تقريبًا. يحتوي Javascript على nonce صالح لإجراء ai_ajax_backend" ، يوضح Wordfence.

المكون الإضافي Ad Inserter لمعاينة الإعلانات الضارة

 

ومع ذلك ، بمجرد أن يكون لدى المهاجم أحد العناصر الموجودة تحت تصرفه ، يمكنه على الفور تشغيل ميزة تصحيح الأخطاء ، والأكثر خطورة ، "استغلال ميزة معاينة الإعلان عن طريق إرسال حمولة ضارة تحتوي على كود PHP تعسفي."

 

لحل هذه المشكلة ، يجب على مسؤولي المواقع المثبت عليها  الوردبرس تحديث  إصدار منصة الوردبرس الي  2.4.22 الذي تم إصداره بواسطة مطور البرنامج المساعد في غضون يوم واحد بعد إخطاره بعيب الأمان.

 

 

عميلنا العزيز في حالة وجود استفسارات اخري ﻻ تتردد وافتح تذكرة تجدنا في خدمتك في أي وقت .

 

تقنية لتكنولوجيا المعلومات 
أكثر من 12 عام من كرم الاستضافة العربية

  • 0 أعضاء وجدوا هذه المقالة مفيدة
هل كانت المقالة مفيدة ؟

Related Articles

كيف يمكن تفعيل خاصية التحقق بخطوتين ؟ two factor authentication - 2FA

السلام عليكم . عملائنا الكرام .  في اطار السعي الحثيث لتوفير أقصى درجات الحماية لبياناتكم وفرنا...

ماهي شهادة الأمان SSL Certificates

  ما المقصود بشهادة الأمان SSL أو SSL Certificates ؟ what is ssl certificates الكثير منكم...

طريقة تعديل النيم سيرفر على الدومين

السلام عليكم . عملاء تقنية الكرام .. إليكم اليوم شرح لطريقة تعديل النيم سيرفر DNS على الدومين...

طرق الدخول علي لوحة التحكم ال cPanal واستعادة بيانات الدخول

السلام عليكم ورحمة الله وبركاته   اولاً : سنقوم بشرح طرق الدخول علي لوحة التحكم  cPanal يوجد...

استعادة بيانات الدخول علي حسابك

السلام عليكم ورحمة الله وركاته   سنقوم بشرح كيفية استعادة بيانات الدخول علي حسابك.   اوﻻً :...